Debian Bug report logs - #97945
enable correct vararg handling for S/390

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Gerhard Tonn <GerhardTonn@swol.de>

Date: Fri, 18 May 2001 18:33:09 UTC

Severity: fixed

Tags: fixed

Found in version 5.2.20010318-1

Fixed in version ncurses/5.2.20010318-2

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#97945; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Gerhard Tonn <GerhardTonn@swol.de>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Gerhard Tonn <GerhardTonn@swol.de>
To: maintonly@bugs.debian.org
Subject: enable correct vararg handling for S/390
Date: Fri, 18 May 2001 19:30:46 +0200
Package: ncurses
Version:  5.2.20010318-1
Severity: wishlist

Hi,

I am one of the S/390 porter. The vararg handling for s390 is the same as for 
powerpc. Could you please apply the attached patch.

Thanks,
Gerhard

--- c++/cursesw.cc.old  Fri May 18 19:25:21 2001
+++ c++/cursesw.cc      Sun Apr 29 07:20:33 2001
@@ -57,7 +57,7 @@
            result = OK;
 #else  /* assume pre-gcc 3.0 */
        strstreambuf ss(buf, sizeof(buf));
-#ifdef __powerpc__
+#if defined(__powerpc__) || defined (__s390__)
        if (ss.vscan(fmt, args) != -1)
 #else
        if (ss.vscan(fmt, (_IO_va_list)args) != -1)
@@ -87,7 +87,7 @@
                result = OK;
 #else  /* assume pre-gcc 3.0 */
            strstreambuf ss(buf, sizeof(buf));
-#ifdef __powerpc__
+#if defined(__powerpc__) || defined (__s390__)
            if (ss.vscan(fmt, args) != -1)
 #else
            if (ss.vscan(fmt, (_IO_va_list)args) != -1)         



Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#97945; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 97945-maintonly@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Gerhard Tonn <GerhardTonn@swol.de>, 97945-maintonly@bugs.debian.org
Subject: Re: Bug#97945: enable correct vararg handling for S/390
Date: Fri, 18 May 2001 12:17:38 -0700
(why maintonly?)

On Fri, May 18, 2001 at 07:30:46PM +0200, Gerhard Tonn wrote:
> Package: ncurses
> Version: 5.2.20010318-1
> Severity: wishlist
> 
> Hi,
> 
> I am one of the S/390 porter. The vararg handling for s390 is the same as for 
> powerpc. Could you please apply the attached patch.

It is?  Woah, that will be convenient.  Thanks for the heads-up.

Thomas - we should probably do this properly, this is about the last
patch I hadn't sent you.  Why was that cast necessary?

-- 
Daniel Jacobowitz                           Debian GNU/Linux Developer
Monta Vista Software                              Debian Security Team



Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#97945; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 97945-maintonly@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Daniel Jacobowitz <dan@debian.org>, 97945-maintonly@bugs.debian.org
Subject: Re: Bug#97945: enable correct vararg handling for S/390
Date: Fri, 18 May 2001 17:53:38 -0400
On Fri, May 18, 2001 at 12:17:38PM -0700, Daniel Jacobowitz wrote:
> (why maintonly?)
> 
> On Fri, May 18, 2001 at 07:30:46PM +0200, Gerhard Tonn wrote:
> > Package: ncurses
> > Version: 5.2.20010318-1
> > Severity: wishlist
> > 
> > Hi,
> > 
> > I am one of the S/390 porter. The vararg handling for s390 is the same as for 
> > powerpc. Could you please apply the attached patch.
> 
> It is?  Woah, that will be convenient.  Thanks for the heads-up.
> 
> Thomas - we should probably do this properly, this is about the last
> patch I hadn't sent you.  Why was that cast necessary?

I didn't see my name on the to/cc, but there's no Thomas there either,
so this mail got my attention.

No, I didn't notice this one before, though I saw something earlier that
didn't get my attention since ncurses wasn't in the header.

The basic problem is that someone's changed an interface in the C++ support
libraries.  I wrote a configure check to try to make this work, which
I see in my NEWS the most recent fix is 20010407 (iirc, I was out of town
on 20010317, and gave you an interim patch until I could catch up & do a
proper patch).

Generally speaking, patches with __powerpc__, other hardcoded ifdef's are
a last resort (I use them only when I can't test the condition in the
configure script).

I think the current patches are stable - no bug reports come to mind - I've
been burning time to see if/how I can add some user-contributed extensions
without breaking anything (and also updating ports).  That doesn't produce
much visible change...

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#97945; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 97945-maintonly@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: 97945-maintonly@bugs.debian.org
Subject: Re: Bug#97945: enable correct vararg handling for S/390
Date: Fri, 18 May 2001 15:07:36 -0700
On Fri, May 18, 2001 at 05:53:38PM -0400, Thomas Dickey wrote:
> On Fri, May 18, 2001 at 12:17:38PM -0700, Daniel Jacobowitz wrote:
> > Thomas - we should probably do this properly, this is about the last
> > patch I hadn't sent you.  Why was that cast necessary?
> 
> I didn't see my name on the to/cc, but there's no Thomas there either,
> so this mail got my attention.
> 
> No, I didn't notice this one before, though I saw something earlier that
> didn't get my attention since ncurses wasn't in the header.

Sorry bout that.  This patch is actually about three years old now,
though.

> The basic problem is that someone's changed an interface in the C++ support
> libraries.  I wrote a configure check to try to make this work, which

Nope, this is a different patch.  The problem is that you can't cast to
an _IO_va_list, because it might be an array type.  I've always gotten
no warning from just passing args without the cast, so I don't see why
it's needed.

-- 
Daniel Jacobowitz                           Debian GNU/Linux Developer
Monta Vista Software                              Debian Security Team



Severity set to `fixed'. Request was from Gerhard Tonn <GerhardTonn@swol.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#97945; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Gerhard Tonn <GerhardTonn@swol.de>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #27 received at 97945-maintonly@bugs.debian.org (full text, mbox):

From: Gerhard Tonn <GerhardTonn@swol.de>
To: 97945-maintonly@bugs.debian.org
Subject: source NMU
Date: Sat, 2 Jun 2001 18:48:05 +0200
Hi,
I have done a source NMU ncurses_5.2.20010318-1.1 for the subject problem.

Regards
Gerhard



Tags added: fixed Request was from Gerhard Tonn <gt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#97945; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #34 received at 97945-maintonly@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Gerhard Tonn <GerhardTonn@swol.de>, 97945-maintonly@bugs.debian.org
Subject: Re: Bug#97945: source NMU
Date: Sat, 2 Jun 2001 12:05:24 -0700
On Sat, Jun 02, 2001 at 06:48:05PM +0200, Gerhard Tonn wrote:
> Hi,
> I have done a source NMU ncurses_5.2.20010318-1.1 for the subject problem.

WHAT!

Please, next time, have a little common courtesy!  I owe you an apology
for forgetting about uploading the fixed version, but that is no excuse
to NMU without even asking me.  I got distracted discussing the proper
solution for the problem with Thomas.

Had I gotten in an hour earlier this morning, I would have removed your
upload from Incoming; what you did was very rude.  As it is I will
upload a fixed version now.

-- 
Daniel Jacobowitz                           Debian GNU/Linux Developer
Monta Vista Software                              Debian Security Team



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerhard Tonn <GerhardTonn@swol.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 97945-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 97945-close@bugs.debian.org
Subject: Bug#97945: fixed in ncurses 5.2.20010318-2
Date: Sun, 03 Jun 2001 14:57:59 -0400
We believe that the bug you reported is fixed in the latest version of
ncurses, which has been installed in the Debian FTP archive:

ncurses-base_5.2.20010318-2_all.deb
  to pool/main/n/ncurses/ncurses-base_5.2.20010318-2_all.deb
ncurses_5.2.20010318-2.dsc
  to pool/main/n/ncurses/ncurses_5.2.20010318-2.dsc
ncurses-term_5.2.20010318-2_all.deb
  to pool/main/n/ncurses/ncurses-term_5.2.20010318-2_all.deb
libncurses5_5.2.20010318-2_i386.deb
  to pool/main/n/ncurses/libncurses5_5.2.20010318-2_i386.deb
libncurses5-dbg_5.2.20010318-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.2.20010318-2_i386.deb
libncurses5-dev_5.2.20010318-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.2.20010318-2_i386.deb
ncurses_5.2.20010318-2.diff.gz
  to pool/main/n/ncurses/ncurses_5.2.20010318-2.diff.gz
ncurses-bin_5.2.20010318-2_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.2.20010318-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 97945@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  2 Jun 2001 12:27:38 -0700
Source: ncurses
Binary: libncurses5 libncurses5-dev ncurses-base ncurses-bin libncurses5-dbg ncurses-term
Architecture: source i386 all
Version: 5.2.20010318-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 97945
Changes: 
 ncurses (5.2.20010318-2) unstable; urgency=low
 .
   * Fix S/390 varargs handling by removing an illegal cast (Closes: 97945).
   * Append to LD_LIBRARY_PATH so we don't break fakeroot.
Files: 
 c43ef4ce5a86f5675a4be725ceafcc7f 718 libs standard ncurses_5.2.20010318-2.dsc
 31d492c8651a1d70fc05f23e62898c21 27811 libs standard ncurses_5.2.20010318-2.diff.gz
 abd59e299c7164d91e5d651985885d9f 226060 base required libncurses5_5.2.20010318-2_i386.deb
 add43f25dd73067db2bbee785f0d73c0 1063786 devel optional libncurses5-dev_5.2.20010318-2_i386.deb
 44d6c6a27e13ddaac1294c70579a5704 1058830 devel extra libncurses5-dbg_5.2.20010318-2_i386.deb
 1d12ab9237e55d561dd4998431a92c68 280046 base required ncurses-bin_5.2.20010318-2_i386.deb
 b6d48704ae4485b7b066caf39cc61501 101252 base required ncurses-base_5.2.20010318-2_all.deb
 1479e5195cf6769430334d406f4a8653 474064 admin standard ncurses-term_5.2.20010318-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.5 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE7GUvMbgOPXuCjg3cRAvf1AJ9COokui6n5hwgNss4YJotBFDJh7wCfTlu4
j273JIfiWAY7A66UmA2PHnk=
=ghD0
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:16:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.